package applet;


import javacard.framework.Util;

public class TransparentEFile extends EFile {
    byte[] data;

    void clear() {
        Util.arrayFillNonAtomic(this.data, (short)0, (short)data.length, (byte)0);
    }

    public TransparentEFile(short fileID, byte[] FCP, short dataLength) {
        super(fileID, FCP);
        this.data = new byte[dataLength];
    }

    public byte[] getData() {
        return this.data;
    }

}